package org.springblade.common.constant;

import lombok.Getter;

/**
 * Created By lidexi in 2021/7/28
 **/
public interface SystemConstant {


	/**
	 * 商场或者商户
	 */
	@Getter
	enum MALLORSHOP{

		MALL(1,"商场"),
		SHOP(2,"商户");

		int value;
		String name;
		MALLORSHOP(int value,String name){
			this.value = value;
			this.name = name;
		}
	}
	/**
	 * 是否
	 */
	@Getter
	enum WHETHER{

		YES(1,"是"),
		NO(0,"否");

		int value;
		String name;
		WHETHER(int value,String name){
			this.value = value;
			this.name = name;
		}
	}

	/**
	 * 审核状态
	 */
	@Getter
	enum AuditStatus{

		WATING(0,"待审核"),
		PASS(1,"审核通过"),
		FAIL(2,"审核失败"),
		STOP(3,"停用");
		int value;
		String name;
		AuditStatus(int value,String name){
			this.value = value;
			this.name = name;
		}
	}

	/**
	 * 账单支付状态billrecord
	 */
	@Getter
	enum BillRecordPayStatus{

		CANCEL("取消",2),
		PAYED("已付款",1),
		PAYING("待付款",0);


		String name;
		Integer value;
		BillRecordPayStatus(String name, Integer value){
			this.name = name;
			this.value = value;
		}
	}

	/**
	 * 积分明细类型
	 */
	@Getter
	enum PointDetailType{

		MALL_SEND("商场赠送",1),
		SHOP_SEND("商家赠送",2),
		USER_PAY("用户付款",3),
		CHANNEL("积分授权",4);


		String name;
		Integer value;
		PointDetailType(String name, Integer value){
			this.name = name;
			this.value = value;
		}
	}

	/**
	 * 积分渠道类型
	 */
	@Getter
	enum PointChannelType{

		INNER_APPICATION("内部应用",1),
		MALL("商场",2),
		AGENTER("代理",3),
		OUTNENER("外部",4);


		String name;
		Integer value;
		PointChannelType(String name, Integer value){
			this.name = name;
			this.value = value;
		}
	}

	/**
	 * 应收明细结算状态
	 */
	@Getter
	enum JieSuanStatus{

		jsed("已结算",1),
		jsing("待结算",0);


		String name;
		Integer value;
		JieSuanStatus(String name, Integer value){
			this.name = name;
			this.value = value;
		}
	}

	@Getter
	enum AgentEnable{
		IS_ENABLE("启用", 1),
		NOT_ENABLE("禁用", -1);

		String name;
		Integer value;
		AgentEnable(String name, Integer value){
			this.name = name;
			this.value = value;
		}
	}



}
